Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-5156

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2007-5156
Last Modified 12 Oct 2011 12:00:00
Published 01 Oct 2007 01:17:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-5156

Summary

Incomplete blacklist vulnerability in editor/filemanager/upload/php/upload.php in FCKeditor, as used in SiteX CMS 0.7.3.beta, La-Nai CMS, Syntax CMS, Cardinal Cms, and probably other products, allows remote attackers to upload and execute arbitrary PHP code via a file whose name contains ".php." and has an unknown extension, which is recognized as a .php file by the Apache HTTP server, a different vulnerability than CVE-2006-0658 and CVE-2006-2529.

Vulnerable Systems

Application

  • Apache Http Server

  • Fckeditor

  • Sitex Cms 0.7.3 Beta


References

XF - cardinal-upload-file-upload(44455)

XF - syntaxcms-upload-file-upload(42733)

XF - lanai-upload-file-upload(42425)

MISC - http://www.waraxe.us/advisory-57.html

VUPEN - ADV-2007-3465

VUPEN - ADV-2007-3464

BID - 30677

BID - 29422

BUGTRAQ - 20070927 [waraxe-2007-SA#057] - Unauthorized File Upload in SiteX CMS

MILW0RM - 5688

MILW0RM - 5618

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=546000

CONFIRM - http://sourceforge.net/forum/forum.php?forum_id=743930

SREASON - 3182

SECUNIA - 27174

SECUNIA - 27123

MISC - http://downloads.securityfocus.com/vulnerabilities/exploits/30677.php

MISC - http://dev.fckeditor.net/ticket/1325

MISC - http://dev.fckeditor.net/changeset/973


Last Updated: 27 May 2016 10:46:06